﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9327
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.Meter;

            Proj4Projection proj4Projection = new Proj4Projection
            {
                InternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(4326),
                ExternalProjectionParametersString = Proj4Projection.GetEpsgParametersString(3857)
            };

            NauticalChartsFeatureLayer.BuildIndexFile(@"..\..\AppData\US5CA80M\US5CA80M.000", BuildIndexMode.DoNotRebuild);
            NauticalChartsFeatureLayer nauticalChartsFeatureLayer = new NauticalChartsFeatureLayer(@"..\..\AppData\US5CA80M\US5CA80M.000");

            nauticalChartsFeatureLayer.FeatureSource.Projection = proj4Projection;
            nauticalChartsFeatureLayer.StylingType = NauticalChartsStylingType.StandardStyling;
            nauticalChartsFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            nauticalChartsFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.LocalRoad4;
            nauticalChartsFeatureLayer.ZoomLevelSet.ZoomLevel01.DefaultPointStyle = PointStyles.City1;

            nauticalChartsFeatureLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.Layers.Add(nauticalChartsFeatureLayer);

            winformsMap1.Overlays.Add(layerOverlay);

            nauticalChartsFeatureLayer.Open();
            winformsMap1.CurrentExtent = nauticalChartsFeatureLayer.GetBoundingBox();
            winformsMap1.Refresh();
        }
    }
}
